### Function

# Vips error_buffer_copy

#### Declaration [src]

    char*
    vips_error_buffer_copy (
      void
    )

#### Description [src]

Return a copy of the vips error buffer, and clear it.

#### Return value

Type: `char*`

A copy of the libvips error buffer.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.